Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	ODBC for Linux/Unix
Name:      	unixODBC
Version:   	2.2.12
Release:   	1
Provides:	unixODBC
License: 	GNU/GPL
URL:		http://www.unixodbc.org/	
Group:     	Databases
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  openssl-devel


%description
The unixODBC package is an Open Source ODBC (Open DataBase Connectivity) sub-system and an ODBC SDK for Linux, Mac OSX, and UNIX. ODBC is an open specification for providing application developers with a predictable API with which to access data sources. Data sources include SQL Servers and any data source with an ODBC Driver. unixODBC contains the following components used to assist with the manipulation of ODBC data sources: a driver manager, an installer library and command line tool, command line tools to help install a driver and work with SQL, drivers and driver setup libraries and a suite of graphical tools used to administer ODBC, test drivers and browse data sources.

%post
ldconfig

%postun

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%prep
%setup -n %{name}-%{version}

%build

sed -i "s/void yyerror/#define YY_FLUSH_BUFFER\n\n&/" sqp/lex.l
./configure 	--prefix=%{_prefix} \
		--mandir=%{_mandir} \
		--sysconfdir=/etc/unixodbc \
		--enable-ltdllib \
		--enable-fdb \
		--disable-gui
make

%install 
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR="$RPM_BUILD_ROOT" 
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
install -v -m755 -d $RPM_BUILD_ROOT/usr/share/doc/unixODBC-2.2.11
cp -v -R doc/* $RPM_BUILD_ROOT/usr/share/doc/unixODBC-2.2.11

%files
%defattr(-,root,root)
%_bindir
%_sysconfdir
%_libdir/*.so*


%files devel
%defattr(-,root,root)
%_includedir
%_datadir/doc
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.12-1
- Version update
* Mon Aug 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.11-1
- Inital Release
